Ask Your Question
0

Can't locate [cartographer_occupancy_grid_node] in [cartographer_ros] package.

asked 2020-01-19 06:32:49 -0500

alok2490 gravatar image

OS : Ubuntu 16.04 ROS-Distribution : kinetic

cartographer_ros is installed using "sudo apt-get install ros-kinetic-cartographer*" and I am unable to run "cartographer_occupancy_grid_node under cartographer_ros package. However, when code is built from github using catkin_make_isolated, I am able to run this node.

Why is it not available when cartographer binaries are installed using apt-get ?

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2020-01-19 10:43:53 -0500

marguedas gravatar image

The version of cartographer_ros available in ROS Kinetic is 0.2.0.

apt-cache show ros-kinetic-cartographer-ros | grep Version
Version: 0.2.0-0xenial-20191214-110813+0000

The cartographer_occupancy_grid_node node was added to cartographer in version 0.3.0.

So you need to build from source or to use ROS Melodic that provides a deb for cartographer_ros 1.0.0.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2020-01-19 06:31:13 -0500

Seen: 654 times

Last updated: Jan 19 '20